Bug 522743 - Initscript: Missing required actions (condrestart, try-restart and force-reload)
Summary: Initscript: Missing required actions (condrestart, try-restart and force-reload)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: sysstat
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ivana Varekova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: InitScriptsProject
TreeView+ depends on / blocked
 
Reported: 2009-09-11 09:42 UTC by Petr Šplíchal
Modified: 2016-06-01 01:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-14 14:05:47 UTC


Attachments (Terms of Use)

Description Petr Šplíchal 2009-09-11 09:42:44 UTC
Description of problem:

The sysstat's initscript is missing the following actions required
by Fedora SysV Initscripts Guidelines:

    * condrestart (and try-restart)
    * force-reload

Although the sysstat does not work as a regular service, it would
be nice to have these actions covered to provide consistent
interface across all services.

Version-Release number of selected component (if applicable):
sysstat-9.0.3-1.fc12.i586

Additional info:
https://fedoraproject.org/wiki/Packaging/SysVInitScript#Required_Actions

Comment 1 Petr Šplíchal 2009-09-11 10:08:20 UTC
Calling an unsupported action should return 2:

:: [   FAIL   ] :: Running 'service sysstat' (Expected 2, got 1)
:: [   FAIL   ] :: Running 'service sysstat nothing' (Expected 2, got 1)

https://fedoraproject.org/wiki/Packaging/SysVInitScript#Exit_Codes_for_non-Status_Actions

Comment 2 Petr Šplíchal 2009-09-14 07:09:03 UTC
Just an additional remark: Using the exitCodeIndicator to find out
the exit status of calling /usr/lib/sa/sa1 seems to be needless and
mentioned comment irrelevant as the sa1 is now called under root:

    # Try to guess if sadc was successfully launched. The
    # difficulty here is that the exit code is lost when the above
    # command is run via "su foo -c ..."

Comment 3 Ivana Varekova 2009-09-14 14:05:47 UTC
Fixed in sysstat-9.0.3-3.
ad comment #2: this is part of upstream setting, I will discuss the code with upstream later.


Note You need to log in before you can comment on or make changes to this bug.